package com.dsic.gj_erp.service.jhgk;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dsic.gj_erp.bean.jhgk.DmXbjh;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
public interface DmXbjhService extends IService<DmXbjh> {
    Map<String,List<DmXbjh>> getList(JSONObject json);

    JSONObject upload(MultipartFile file) throws IOException;

    void save(JSONObject dmXbjhs,int version);

    void tj(List<DmXbjh> dmXbjhs);

    List<HashMap<String, Object>> getVersion(String nf);

    AtomicInteger getMaxVersion();

    Map<String, List<DmXbjh>> getByVersion(String startTime, String _version);

    BigDecimal getZlByNfAndVersion(String nf,String version);
}
